[package]
name = "superttt_python"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html
[lib]
crate-type = ["cdylib", "rlib"]

[dependencies]
pyo3 = { version = "0.23.2", features = [
    'experimental-async',
    "extension-module",
    "generate-import-lib"
]}
tokio = { version = "1.41.1", features = ['full'] }
num_cpus = "1.16.0"
numpy = "0.23.0"
pyo3-async-runtimes = { version = "0.23", features = [
    "attributes",
    "async-std-runtime",
    "tokio-runtime",
] }
async-std = "1.13"
pyo3-stub-gen = "0.6.2"
superttt = "0.1.0"

[build-dependencies]
pyo3-build-config = "0.23.4"
